Bug 165547 - CAN-2005-2100 4G/4G split bounds checking
CAN-2005-2100 4G/4G split bounds checking
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
reported=20041222,impact=important,pu...
: Security
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-10 08:25 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed (revised) patch from Ingo (674 bytes, patch)
2005-08-10 08:25 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-10 08:25:32 EDT
jbaron said to rhkernel-list "below, is a patch i've been tracking from Ingo,
but i'm not sure its been posted here. Not sure if there is a bugzilla, but it
is a real security issue. Afaict, the check ensures that kernel access to
userspace read and write paths is within its proper bounds for the 4/4 split. i
expect Ingo 
to ack this ;)"
Comment 1 Mark J. Cox (Product Security) 2005-08-10 08:25:33 EDT
Created attachment 117600 [details]
Proposed (revised) patch from Ingo
Comment 7 Mark J. Cox (Product Security) 2005-10-04 11:30:09 EDT
Removing embargo
Comment 8 Red Hat Bugzilla 2005-10-05 09:49:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.